=== doc/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

install(FILES howto_create_a_vdeplug_plugin DESTINATION ${CMAKE_INSTALL_DOCDIR})
