=== debian/changelog ===
vdeplug4 (4.0.1-5.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:21:52 +1100

vdeplug4 (4.0.1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063043

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 08:54:03 +0000

vdeplug4 (4.0.1-5) unstable; urgency=medium

  * Delete useless explicit lib deps in d/control
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Renzo Davoli <renzo@cs.unibo.it>  Sat, 24 Jun 2023 11:50:36 +0200

vdeplug4 (4.0.1-4) unstable; urgency=medium

  [ Renzo Davoli ]
  * Fix reproducible-builds:: BuildId differences triggered by RPATH
  (Closes: #1003912)
  [ Andrea Capriotti]
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Andrea Capriotti <capriott@debian.org>  Fri, 12 Aug 2022 16:02:49 +0200

vdeplug4 (4.0.1-3) unstable; urgency=medium

  * Team upload.

  [ Renzo Davoli ]
  * Fix debian/watch file.

  [ Mattia Rizzolo ]
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Mark libvdeplug-dev and libvdeplug2 as M-A:same.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 02 Dec 2021 11:24:44 +0100

vdeplug4 (4.0.1-2) unstable; urgency=medium

  * Team upload.

  [ Mattia Biondi ]
  * Update my email address in Uploaders.

  [ Mattia Rizzolo ]
  * Upload to unstable.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 21 Oct 2020 18:59:40 +0200

vdeplug4 (4.0.1-1) experimental; urgency=medium

  * New upstream release
  * d/control: Bump debhelper's compat level to 13
  * d/rules: Fix dh_auto_install syntax

 -- Andrea Capriotti <capriott@debian.org>  Tue, 13 Oct 2020 20:17:30 +0200

vdeplug4 (4.0.0-2) experimental; urgency=medium

  * Fix libvdeplug2 dependency on libexecs0

 -- Renzo Davoli <renzo@cs.unibo.it>  Sat, 10 Oct 2020 11:22:29 +0200

vdeplug4 (4.0.0-1) experimental; urgency=medium

  [ Mattia Biondi ]
  * Initial release

 -- Renzo Davoli <renzo@cs.unibo.it>  Thu, 30 Jan 2020 16:51:22 +0100
