=== debian/control ===
Source: vdeplug4
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
Uploaders: Mattia Biondi <mattiabiondi1@gmail.com>, Renzo Davoli <renzo@cs.unibo.it>, Andrea Capriotti <capriott@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), cmake (>= 3.13), libexecs-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://wiki.virtualsquare.org/
Vcs-Browser: https://salsa.debian.org/virtualsquare-team/vdeplug4
Vcs-Git: https://salsa.debian.org/virtualsquare-team/vdeplug4.git

Package: vdeplug
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libvdeplug2t64 (= ${binary:Version})
Breaks: vde2 (<< 2.3.2+r586-3)
Replaces: vde2 (<< 2.3.2+r586-3)
Description: Virtual Distributed Ethernet: A modular virtual plug to the VDE
 VDE provides a versatile support to create Ethernet compliant
 virtual networks. The vdeplug library, like an ethernet plug, can
 be used to connect virtual machines, namespaces, IoTh (Internet
 of Threads) processes or VDE utility commands to virtual networks.
 .
 This library uses plug-ins to support several VDE implementations
 and to be open to new developments in virtual networking.
 .
 Several plugins are included as standard extensions of the library, e.g.:
  - vde: connect to legacy vde_switch (provided by vde2) or
    to virtual networking sockets, see below
  - vxvde: this plug-in implements distributed virtual switches
    (implementation of a Local Area Cloud)
  - tap: connect to a tuntap interface
  - udp: udp tunnelling
  - ptp: point to point connection
  - vxlan: the plug becomes a vxlan's VTEP
  - cmd: stream the network flow to a command
 A plug can provide virtual networking sockets where other plug can
 be connected (using the vde plugin)
  - hub: the plug implements a hub
  - switch: the plug implements a switch
 .
 This package contains some utility tools for VDE including vde_plug.

Package: libvdeplug2t64
Provides: ${t64:Provides}
Replaces: libvdeplug2
Breaks: libvdeplug2 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Virtual Distributed Ethernet - Plug library
 VDE provides a versatile support to create Ethernet compliant
 virtual networks. The vdeplug library, like an ethernet plug, can
 be used to connect virtual machines, namespaces, IoTh (Internet
 of Threads) processes or VDE utility commands to virtual networks.
 .
 This library uses plug-ins to support several VDE implementations
 and to be open to new developments in virtual networking.
 .
 Several plugins are included as standard extensions of the library, e.g.:
  - vde: connect to legacy vde_switch (provided by vde2) or
    to virtual networking sockets, see below
  - vxvde: this plug-in implements distributed virtual switches
    (implementation of a Local Area Cloud)
  - tap: connect to a tuntap interface
  - udp: udp tunnelling
  - ptp: point to point connection
  - vxlan: the plug becomes a vxlan's VTEP
  - cmd: stream the network flow to a command
 A plug can provide virtual networking sockets where other plug can
 be connected (using the vde plugin)
  - hub: the plug implements a hub
  - switch: the plug implements a switch
 .
 This package contains a modular library and a set of plugins supporting
 several VDE implementations

Package: libvdeplug-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libvdeplug2t64 (= ${binary:Version})
Description: Virtual Distributed Ethernet - Plug development files
 VDE provides a versatile support to create Ethernet compliant
 virtual networks. The vdeplug library, like an ethernet plug, can
 be used to connect virtual machines, namespaces, IoTh (Internet
 of Threads) processes or VDE utility commands to virtual networks.
 .
 This library uses plug-ins to support several VDE implementations
 and to be open to new developments in virtual networking.
 .
 Several plugins are included as standard extensions of the library, e.g.:
  - vde: connect to legacy vde_switch (provided by vde2) or
    to virtual networking sockets, see below
  - vxvde: this plug-in implements distributed virtual switches
    (implementation of a Local Area Cloud)
  - tap: connect to a tuntap interface
  - udp: udp tunnelling
  - ptp: point to point connection
  - vxlan: the plug becomes a vxlan's VTEP
  - cmd: stream the network flow to a command
 A plug can provide virtual networking sockets where other plug can
 be connected (using the vde plugin)
  - hub: the plug implements a hub
  - switch: the plug implements a switch
 .
 This package contains the development files for libvdeplug.
